Subject: Re: git clone git clone some://url

From: Denton Liu <[email-masked]>
Date: Wed, 20 Nov 2019 10:07:09 -0800

On Wed, Nov 20, 2019 at 12:50:24PM +0900, Junio C Hamano wrote:
> Christoph Berg <[email-masked]> writes:
> 
> > On some git hosting sites [*], if you copy the repository URL, you'll
> > actually get "git clone some://url" in the cut buffer. When you then
> > proceed to do "git clone <paste>" in the next terminal window, the
> > command executed is actually this:
> >
> > $ git clone git clone some://url
> > fatal: Too many arguments.
> 
> Or
> 
>     $ git git clone some://usr
>     $ git git git diff

That's why I have `git config alias.git !git` set. It's saved me seconds
of my life from having to retype these lines. ;)

Unfortunately, I don't think we can take a similar approach for the
`git clone git clone ...` case.

> ;-)
> 
> I seriously doubt "git" should do anything funky when fed such
> command lines.
>